---
search:
  tags:
    - Contacts
    - PATCH
seo:
  description: >-
    Update contact topics. Reference for the PATCH /contacts/{id}/topics
    endpoint in the BillionSend API.
sidebar:
  label: Update contact topics
  badge: PATCH
title: Update contact topics
type: openapi-operation
---
`PATCH /contacts/{id}/topics`

**Request body** (`application/json`, required)

Request body example:

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "subscription": "opt_in"
  }
]
```

**Responses**

- `200` — Contact topic subscriptions updated
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
```
